%define anolis_release 1

Summary: A utility for displaying and/or setting hard disk parameters
Name: hdparm
Version: 9.65
Release: %{anolis_release}%{?dist}
License: BSD
URL:    https://sourceforge.net/projects/%{name}/
Source: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: make

Provides: /sbin/hdparm

%description
Hdparm is a useful system utility for setting (E)IDE hard drive
parameters.  For example, hdparm can be used to tweak hard drive
performance and to spin down hard drives for power conservation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %make_build STRIP=/bin/true LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -c -m 755 hdparm $RPM_BUILD_ROOT%{_sbindir}/hdparm
install -c -m 644 hdparm.8 $RPM_BUILD_ROOT%{_mandir}/man8

%generate_compatibility_deps

%files
%dir %{abidir}
%doc hdparm.lsm
%license LICENSE.TXT
%{_sbindir}/hdparm
%{abidir}/hdparm-option.list
%{_mandir}/man8/hdparm.8*

%files doc
%doc Changelog README.acoustic TODO

%changelog
* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 9.65-1
- update to 9.65

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 9.63-2
- optimise spec file & add doc package

* Thu Mar 10 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 9.63-1
- Init version from upstream v9.63
